Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2cd5::/16
First address
2cd5::
Last address
2cd5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2cd5:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.d.c.2.ip6.arpa
Split into smaller subnets/28

2cd5::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12cd5::/282cd5:f:ffff:ffff:ffff:ffff:ffff:ffff
22cd5:10::/282cd5:1f:ffff:ffff:ffff:ffff:ffff:ffff
32cd5:20::/282cd5:2f:ffff:ffff:ffff:ffff:ffff:ffff
42cd5:30::/282cd5:3f:ffff:ffff:ffff:ffff:ffff:ffff
52cd5:40::/282cd5:4f:ffff:ffff:ffff:ffff:ffff:ffff
62cd5:50::/282cd5:5f:ffff:ffff:ffff:ffff:ffff:ffff
72cd5:60::/282cd5:6f:ffff:ffff:ffff:ffff:ffff:ffff
82cd5:70::/282cd5:7f:ffff:ffff:ffff:ffff:ffff:ffff
92cd5:80::/282cd5:8f:ffff:ffff:ffff:ffff:ffff:ffff
102cd5:90::/282cd5:9f:ffff:ffff:ffff:ffff:ffff:ffff
112cd5:a0::/282cd5:af:ffff:ffff:ffff:ffff:ffff:ffff
122cd5:b0::/282cd5:bf:ffff:ffff:ffff:ffff:ffff:ffff
132cd5:c0::/282cd5:cf:ffff:ffff:ffff:ffff:ffff:ffff
142cd5:d0::/282cd5:df:ffff:ffff:ffff:ffff:ffff:ffff
152cd5:e0::/282cd5:ef:ffff:ffff:ffff:ffff:ffff:ffff
162cd5:f0::/282cd5:ff:ffff:ffff:ffff:ffff:ffff:ffff
172cd5:100::/282cd5:10f:ffff:ffff:ffff:ffff:ffff:ffff
182cd5:110::/282cd5:11f:ffff:ffff:ffff:ffff:ffff:ffff
192cd5:120::/282cd5:12f:ffff:ffff:ffff:ffff:ffff:ffff
202cd5:130::/282cd5:13f:ffff:ffff:ffff:ffff:ffff:ffff
212cd5:140::/282cd5:14f:ffff:ffff:ffff:ffff:ffff:ffff
222cd5:150::/282cd5:15f:ffff:ffff:ffff:ffff:ffff:ffff
232cd5:160::/282cd5:16f:ffff:ffff:ffff:ffff:ffff:ffff
242cd5:170::/282cd5:17f:ffff:ffff:ffff:ffff:ffff:ffff
252cd5:180::/282cd5:18f:ffff:ffff:ffff:ffff:ffff:ffff
262cd5:190::/282cd5:19f:ffff:ffff:ffff:ffff:ffff:ffff
272cd5:1a0::/282cd5:1af:ffff:ffff:ffff:ffff:ffff:ffff
282cd5:1b0::/282cd5:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292cd5:1c0::/282cd5:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302cd5:1d0::/282cd5:1df:ffff:ffff:ffff:ffff:ffff:ffff
312cd5:1e0::/282cd5:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322cd5:1f0::/282cd5:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332cd5:200::/282cd5:20f:ffff:ffff:ffff:ffff:ffff:ffff
342cd5:210::/282cd5:21f:ffff:ffff:ffff:ffff:ffff:ffff
352cd5:220::/282cd5:22f:ffff:ffff:ffff:ffff:ffff:ffff
362cd5:230::/282cd5:23f:ffff:ffff:ffff:ffff:ffff:ffff
372cd5:240::/282cd5:24f:ffff:ffff:ffff:ffff:ffff:ffff
382cd5:250::/282cd5:25f:ffff:ffff:ffff:ffff:ffff:ffff
392cd5:260::/282cd5:26f:ffff:ffff:ffff:ffff:ffff:ffff
402cd5:270::/282cd5:27f:ffff:ffff:ffff:ffff:ffff:ffff
412cd5:280::/282cd5:28f:ffff:ffff:ffff:ffff:ffff:ffff
422cd5:290::/282cd5:29f:ffff:ffff:ffff:ffff:ffff:ffff
432cd5:2a0::/282cd5:2af:ffff:ffff:ffff:ffff:ffff:ffff
442cd5:2b0::/282cd5:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452cd5:2c0::/282cd5:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462cd5:2d0::/282cd5:2df:ffff:ffff:ffff:ffff:ffff:ffff
472cd5:2e0::/282cd5:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482cd5:2f0::/282cd5:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492cd5:300::/282cd5:30f:ffff:ffff:ffff:ffff:ffff:ffff
502cd5:310::/282cd5:31f:ffff:ffff:ffff:ffff:ffff:ffff
512cd5:320::/282cd5:32f:ffff:ffff:ffff:ffff:ffff:ffff
522cd5:330::/282cd5:33f:ffff:ffff:ffff:ffff:ffff:ffff
532cd5:340::/282cd5:34f:ffff:ffff:ffff:ffff:ffff:ffff
542cd5:350::/282cd5:35f:ffff:ffff:ffff:ffff:ffff:ffff
552cd5:360::/282cd5:36f:ffff:ffff:ffff:ffff:ffff:ffff
562cd5:370::/282cd5:37f:ffff:ffff:ffff:ffff:ffff:ffff
572cd5:380::/282cd5:38f:ffff:ffff:ffff:ffff:ffff:ffff
582cd5:390::/282cd5:39f:ffff:ffff:ffff:ffff:ffff:ffff
592cd5:3a0::/282cd5:3af:ffff:ffff:ffff:ffff:ffff:ffff
602cd5:3b0::/282cd5:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612cd5:3c0::/282cd5:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622cd5:3d0::/282cd5:3df:ffff:ffff:ffff:ffff:ffff:ffff
632cd5:3e0::/282cd5:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642cd5:3f0::/282cd5:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652cd5:400::/282cd5:40f:ffff:ffff:ffff:ffff:ffff:ffff
662cd5:410::/282cd5:41f:ffff:ffff:ffff:ffff:ffff:ffff
672cd5:420::/282cd5:42f:ffff:ffff:ffff:ffff:ffff:ffff
682cd5:430::/282cd5:43f:ffff:ffff:ffff:ffff:ffff:ffff
692cd5:440::/282cd5:44f:ffff:ffff:ffff:ffff:ffff:ffff
702cd5:450::/282cd5:45f:ffff:ffff:ffff:ffff:ffff:ffff
712cd5:460::/282cd5:46f:ffff:ffff:ffff:ffff:ffff:ffff
722cd5:470::/282cd5:47f:ffff:ffff:ffff:ffff:ffff:ffff
732cd5:480::/282cd5:48f:ffff:ffff:ffff:ffff:ffff:ffff
742cd5:490::/282cd5:49f:ffff:ffff:ffff:ffff:ffff:ffff
752cd5:4a0::/282cd5:4af:ffff:ffff:ffff:ffff:ffff:ffff
762cd5:4b0::/282cd5:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772cd5:4c0::/282cd5:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782cd5:4d0::/282cd5:4df:ffff:ffff:ffff:ffff:ffff:ffff
792cd5:4e0::/282cd5:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802cd5:4f0::/282cd5:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812cd5:500::/282cd5:50f:ffff:ffff:ffff:ffff:ffff:ffff
822cd5:510::/282cd5:51f:ffff:ffff:ffff:ffff:ffff:ffff
832cd5:520::/282cd5:52f:ffff:ffff:ffff:ffff:ffff:ffff
842cd5:530::/282cd5:53f:ffff:ffff:ffff:ffff:ffff:ffff
852cd5:540::/282cd5:54f:ffff:ffff:ffff:ffff:ffff:ffff
862cd5:550::/282cd5:55f:ffff:ffff:ffff:ffff:ffff:ffff
872cd5:560::/282cd5:56f:ffff:ffff:ffff:ffff:ffff:ffff
882cd5:570::/282cd5:57f:ffff:ffff:ffff:ffff:ffff:ffff
892cd5:580::/282cd5:58f:ffff:ffff:ffff:ffff:ffff:ffff
902cd5:590::/282cd5:59f:ffff:ffff:ffff:ffff:ffff:ffff
912cd5:5a0::/282cd5:5af:ffff:ffff:ffff:ffff:ffff:ffff
922cd5:5b0::/282cd5:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932cd5:5c0::/282cd5:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942cd5:5d0::/282cd5:5df:ffff:ffff:ffff:ffff:ffff:ffff
952cd5:5e0::/282cd5:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962cd5:5f0::/282cd5:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972cd5:600::/282cd5:60f:ffff:ffff:ffff:ffff:ffff:ffff
982cd5:610::/282cd5:61f:ffff:ffff:ffff:ffff:ffff:ffff
992cd5:620::/282cd5:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002cd5:630::/282cd5:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012cd5:640::/282cd5:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022cd5:650::/282cd5:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032cd5:660::/282cd5:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042cd5:670::/282cd5:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052cd5:680::/282cd5:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062cd5:690::/282cd5:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072cd5:6a0::/282cd5:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082cd5:6b0::/282cd5:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092cd5:6c0::/282cd5:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102cd5:6d0::/282cd5:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112cd5:6e0::/282cd5:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122cd5:6f0::/282cd5:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132cd5:700::/282cd5:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142cd5:710::/282cd5:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152cd5:720::/282cd5:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162cd5:730::/282cd5:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172cd5:740::/282cd5:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182cd5:750::/282cd5:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192cd5:760::/282cd5:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202cd5:770::/282cd5:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212cd5:780::/282cd5:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222cd5:790::/282cd5:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232cd5:7a0::/282cd5:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242cd5:7b0::/282cd5:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252cd5:7c0::/282cd5:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262cd5:7d0::/282cd5:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272cd5:7e0::/282cd5:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282cd5:7f0::/282cd5:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292cd5:800::/282cd5:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302cd5:810::/282cd5:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312cd5:820::/282cd5:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322cd5:830::/282cd5:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332cd5:840::/282cd5:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342cd5:850::/282cd5:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352cd5:860::/282cd5:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362cd5:870::/282cd5:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372cd5:880::/282cd5:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382cd5:890::/282cd5:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392cd5:8a0::/282cd5:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402cd5:8b0::/282cd5:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412cd5:8c0::/282cd5:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422cd5:8d0::/282cd5:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432cd5:8e0::/282cd5:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442cd5:8f0::/282cd5:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452cd5:900::/282cd5:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462cd5:910::/282cd5:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472cd5:920::/282cd5:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482cd5:930::/282cd5:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492cd5:940::/282cd5:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502cd5:950::/282cd5:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512cd5:960::/282cd5:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522cd5:970::/282cd5:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532cd5:980::/282cd5:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542cd5:990::/282cd5:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552cd5:9a0::/282cd5:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562cd5:9b0::/282cd5:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572cd5:9c0::/282cd5:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582cd5:9d0::/282cd5:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592cd5:9e0::/282cd5:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602cd5:9f0::/282cd5:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612cd5:a00::/282cd5:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622cd5:a10::/282cd5:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632cd5:a20::/282cd5:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642cd5:a30::/282cd5:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652cd5:a40::/282cd5:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662cd5:a50::/282cd5:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672cd5:a60::/282cd5:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682cd5:a70::/282cd5:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692cd5:a80::/282cd5:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702cd5:a90::/282cd5:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712cd5:aa0::/282cd5:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722cd5:ab0::/282cd5:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732cd5:ac0::/282cd5:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742cd5:ad0::/282cd5:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752cd5:ae0::/282cd5:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762cd5:af0::/282cd5:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772cd5:b00::/282cd5:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782cd5:b10::/282cd5:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792cd5:b20::/282cd5:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802cd5:b30::/282cd5:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812cd5:b40::/282cd5:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822cd5:b50::/282cd5:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832cd5:b60::/282cd5:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842cd5:b70::/282cd5:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852cd5:b80::/282cd5:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862cd5:b90::/282cd5:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872cd5:ba0::/282cd5:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882cd5:bb0::/282cd5:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892cd5:bc0::/282cd5:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902cd5:bd0::/282cd5:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912cd5:be0::/282cd5:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922cd5:bf0::/282cd5:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932cd5:c00::/282cd5:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942cd5:c10::/282cd5:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952cd5:c20::/282cd5:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962cd5:c30::/282cd5:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972cd5:c40::/282cd5:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982cd5:c50::/282cd5:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992cd5:c60::/282cd5:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002cd5:c70::/282cd5:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012cd5:c80::/282cd5:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022cd5:c90::/282cd5:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032cd5:ca0::/282cd5:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042cd5:cb0::/282cd5:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052cd5:cc0::/282cd5:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062cd5:cd0::/282cd5:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072cd5:ce0::/282cd5:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082cd5:cf0::/282cd5:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092cd5:d00::/282cd5:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102cd5:d10::/282cd5:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112cd5:d20::/282cd5:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122cd5:d30::/282cd5:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132cd5:d40::/282cd5:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142cd5:d50::/282cd5:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152cd5:d60::/282cd5:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162cd5:d70::/282cd5:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172cd5:d80::/282cd5:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182cd5:d90::/282cd5:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192cd5:da0::/282cd5:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202cd5:db0::/282cd5:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212cd5:dc0::/282cd5:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222cd5:dd0::/282cd5:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232cd5:de0::/282cd5:def:ffff:ffff:ffff:ffff:ffff:ffff
2242cd5:df0::/282cd5:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252cd5:e00::/282cd5:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262cd5:e10::/282cd5:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272cd5:e20::/282cd5:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282cd5:e30::/282cd5:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292cd5:e40::/282cd5:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302cd5:e50::/282cd5:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312cd5:e60::/282cd5:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322cd5:e70::/282cd5:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332cd5:e80::/282cd5:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342cd5:e90::/282cd5:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352cd5:ea0::/282cd5:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362cd5:eb0::/282cd5:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372cd5:ec0::/282cd5:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382cd5:ed0::/282cd5:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392cd5:ee0::/282cd5:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402cd5:ef0::/282cd5:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412cd5:f00::/282cd5:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422cd5:f10::/282cd5:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432cd5:f20::/282cd5:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442cd5:f30::/282cd5:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452cd5:f40::/282cd5:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462cd5:f50::/282cd5:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472cd5:f60::/282cd5:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482cd5:f70::/282cd5:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492cd5:f80::/282cd5:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502cd5:f90::/282cd5:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512cd5:fa0::/282cd5:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522cd5:fb0::/282cd5:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532cd5:fc0::/282cd5:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542cd5:fd0::/282cd5:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552cd5:fe0::/282cd5:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562cd5:ff0::/282cd5:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses